/**
 * スクロールの調整
 */
function ScrollAdjust () {

  //スクロールバー表示/非表示切り替え幅基準（幅480pxに設定）
  var Base_width = BASE_WIDTH;
  //表示領域の高さ (スクロールバー含まず)取得
  var MainBody_height = document.documentElement.clientHeight;
  //表示領域の幅取得
  var MainBody_width = document.documentElement.clientWidth;
  MainBody_width = document.documentElement.clientWidth + 17; // 横スクロールバー分

  //●大会タイトル
  //div.box_tournament_titleのwidth値を取得
  var box_tournament_title_width = angular.element( ".box_tournament_title" ).width();
  var tournament_title_width = box_tournament_title_width + 14;

  //●テーブル
  //テーブルのwidth値を取得
  var max_table_width = 0; //複数テーブルがある場合の最大の横幅
  for(var i = 0; i < angular.element(" table ").length; i++){
    if( angular.element(" table ").eq(i).width() > max_table_width ){
      max_table_width = angular.element(" table ").eq(i).width();
    }
  }

  //●div.outbox_contentのwidth値を設定
  //デバイスの幅が幅基準より小さい場合
  if( Base_width > MainBody_width ){
    
  } else {
  //デバイスの幅が幅基準より大きい場合
    
  }

  //●div.outbox_content_scrollのheight値を設定
  //div.outbox_content_scrollのheight値を取得
  var outbox_content_scroll_height = angular.element( "div.outbox_content" ).height() + angular.element( "div.outbox_header" ).height() + 45;
  // PCブラウザの場合は下部コメント欄にスクロールバーが表示されるためプラスする
  if (!navigator.userAgent.match(/iPhone|Android.+Mobile/)) {
    outbox_content_scroll_height += 20;
  }

  // ウィンドウ高さよりコンテンツが小さい場合、ウィンドウ高さをコンテンツの高さに設定する
  if ( MainBody_height > outbox_content_scroll_height ) {
    angular.element( "div.outbox_content_scroll" ).height(MainBody_height);
  } else {
    angular.element( "div.outbox_content_scroll" ).height(outbox_content_scroll_height);
  }

};
